[DO NOT USE] SQLite support (tracking)
Closed, InvalidPublic


Converted to project: SQLite


bzimport raised the priority of this task from to Low.
bzimport set Reference to bz20257.
bzimport added a subscriber: Unknown Object (MLST).
MaxSem created this task.Aug 15 2009, 11:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 30 2015, 5:49 PM

Note that this tracking task will soon be converted into a Phabricator project as proposed in T164895: Please create a tag for SQLite related tasks

tstarling removed subtasks: T160978: Job queue cannot claim job on sqlite due to db being locked, T141582: WatchedItemStoreIntegrationTest::testUpdateResetAndSetNotificationTimestamp fails under sqlite, T138316: ALTER TABLE ... CHANGE ... syntax blocks installation or update on SQLite, T135962: Running unit tests on sqlite doesn't seem to always delete temporary tables, T108355: Add SQLite Support to LDAP Authentication extension, T114709: SqlBagOStuff will cause a fatal if used with SQLite, T95843: "DB connection was already closed" when installing and the SQLite data directory does not exist, T93097: MediaWiki should support SQlite on Ubuntu Trusty, T88191: SQLite3 storage module back-end for RESTBase, T88312: DatabaseSqlite / Error in BEGIN query: There is already an active transaction, T71970: FanBoxes does not support sqlite as a database backend, T68191: EditPageTracking does not pass Jenkins tests (sqlite compatibility), T72927: With SQLite only first consumer can be created, T67896: TitleKey does not pass Jenkins unit tests (sqlite compatibility), T67895: OAI does not pass Jenkins tests (sqlite compatibility), T67876: CommunityVoice does not pass Jenkins unit tests (sqlite compatibility), T67877: CreditsSource does not pass Jenkins unit tests (sqlite compatibility), T62639: Database: SQLite and PG are missing columns, T69297: unittest_oathauth_users table not created under sqlite, T69296: oauth_registered_consumer table not created under sqlite, T67578: wrong result for numFileds in sqlite, T60776: support for sqlite journal in memory, T60736: GlobalPreferences can't be installed with sqlite database, T68605: OpenID prevents wiki update when running on an sqlite database, T53114: LinkTitles extension does not work with sqlite, T61233: Database error when moving protection settings with pages when SQLite is used as a backend, T64708: Comments extension does not support SQLite as database backend // Error: 1 no such function: UNIX_TIMESTAMP, T51254: PDOException ('There is no active transaction') after upgrading SQLite database from 1.16.5 to 1.21.1 when user is set in wgDBuser, T56120: Fatal error when $wgDebugDBTransactions is enabled with SQLite: Object of class PDO could not be converted to string in /includes/db/Database.php:3850, T56078: AbuseFilter doesn't work with SQLite as a backend, T47650: SQLite syntax error: LOCK IN SHARE MODE when running Category::refreshCounts, T56013: SQL error while installing PageTriage on a test Wiki (SQLite 3.7.8), T44093: importDump.php dies with status 1 for sqlite:LError: 8 attempt to write a readonly database, T42451: "Transaction already in progress" error in sqlite, T43987: Echo doesn't work on SQLite, T45507: afl_log_id index on abuse_filter_log table should be unique, T45381: ArticleFeedbackv5 query issue with SQLite, T40371: Impossible to install AbuseFilter with SQLite, T40235: Problems upgrading some extensions under SQLite, T48492: Sqlite updater does not add indexes properly: "table user_tmp has 15 columns but 14 values were supplied", T46790: Sqlite category table contains duplicates in unit tests, T48433: survey not compatible with SQLite, T39921: Can't install FlaggedRevs extension with SQLite, T36543: Installation cannot see sqlite database driver, even though it's included with PHP (and enabled), T42966: 0 for the SQLite database name (as in 0.sqlite) breaks installation without warnings, T44689: AddRowIDs.sql fails on sqlite, T44688: AddTermSearchKey.sql fails on sqlite, T39590: Can't install CheckUser extension with SQLite, T41064: Database returned error "1: RIGHT and FULL OUTER JOINs are not currently supported"., T39352: Boolean option issue when using sqlite, T27746: categories don't work with the sqlite backend?, T39159: sqlite: DatabaseBase::delete and DatabaseBase::update return ResultWrapper object, T32366: Installing Drafts on MW 1.17.0 on SQLite gives a blank page, T24010: SQL error while deleting on SQLite, T27308: sqlite installer calls undefined function sqlite_setup_searchindex, T35686: can not get a list of article contributors when using + a SQLite database., T30512: SQLite installation via CLI fails to expand ~paths, T27242: Cannot search with mediawiki 1.16, T30478: fnc DatabaseSqlite::getFulltextSearchModule error 1: no such module: FTS3, T22268: Database::estimateRowCount broken for SQLite, T22265: Special:AncientPages broken for SQLite, T22260: SQLite: don't always autocreate DB and its directory, T22256: RecentChanges and RecentChangesLinked broken for SQLite, T33696: update.php fails with SQLite, T22244: Installer does not validate SQLite database directory for stable path, T22242: Installer demands DB credentials for SQLite, T26939: Installation of MW using SQLite db throws 'Database returned error "19: interwiki.iw_api may not be NULL' error, T24828: deleting from mediawiki namespace doesn't work (with sqlite database), T21571: Unsupported CONCAT() used for Sqlite database, T22911: [patch] SQLite install does not check database existence, T22880: Updater broken for SQLite, T16047: mediawiki install doesn't data base prefix, T19611: lighttpd + sqlite installation failure, T22549: Parser tests don't work on SQLite backend, T22275: LIKE is completely broken for SQLite, T18966: Multi of the same Subcategories with SQLite, T16966: SeachEngineDummy class missing replacePrefixes() function.May 19 2017, 8:28 AM
tstarling updated the task description. (Show Details)
tstarling renamed this task from SQLite support (tracking) to [DO NOT USE] SQLite support (tracking).May 19 2017, 8:35 AM
tstarling closed this task as Invalid.
tstarling lowered the priority of this task from Low to Lowest.